let {Button, Icon} = window['material-ui'];

class LoginPage extends React.Component{
    state = {
        isLogin: true,
        isRegister: false
    };

    handleOpenLogin = loginPage => () => {
        loginPage.setState({
            isLogin: true,
            isRegister: false
        });
    };

    handleOpenRegister = loginPage => () => {
        loginPage.setState({
            isLogin: false,
            isRegister: true
        });
    }

    render() {
        this.form = null;
        if (this.state.isLogin)
            this.form = <LoginForm/>;
        else if (this.state.isRegister)
            this.form = <RegisterForm/>;
        if ($('.isAuth').length === 0)
            return (
                <div className="login-page" style={{width: '50%', margin: 'auto'}}>
                    <div className="text-center" style={{marginBottom: '10px'}}>
                        <Button variant="contained" onClick={this.handleOpenLogin(this)} style={{marginRight: '10px'}}>Авторизация</Button>
                        <Button variant="contained" onClick={this.handleOpenRegister(this)}>Регистрация</Button>
                    </div>
                    {this.form}
                </div>
            );
        else
            return (
                <div className="col-lg-12 text-center">
                    <h2 className="section-heading text-uppercase">Ты уже авторизован</h2>
                    <Button variant="extendedFab" href="/"><Icon>navigation</Icon>Вернуться на главную</Button>
                </div>
            );
    }
}

ReactDOM.render(<LoginPage/>, document.getElementById("loginForm"));
