const {
    Drawer, AppBar, Toolbar,
    IconButton, Icon,
    Typography, Menu, MenuItem,
    List, ListItem, ListItemIcon,
    ListItemText, Divider, ListSubheader,
    withStyles
} = window['material-ui'];

const styles = {
    root: {
        flexGrow: 1,
    },
    grow: {
        flexGrow: 1,
    },
    menuButton: {
        marginLeft: -12,
        marginRight: 20,
    },
};

class Navbar extends React.Component {
    state = {
        anchorEl: null,
        left: false
    };

    handleMenu = event => {
        this.setState({ anchorEl: event.currentTarget });
    };

    handleDrawer = value => () => {
        this.setState({
            left: value
        });
    };

    handleClose = () => {
        this.setState({ anchorEl: null });
    };

    render() {
        const { classes } = this.props;
        const { anchorEl } = this.state;
        const open = Boolean(anchorEl);

        let accountContent = null;
        if ($('.isAuth').length !== 0)
            accountContent = (
                <div className="account-menu">
                    <IconButton
                        aria-owns={open ? 'menu-appbar' : undefined}
                        aria-haspopup="true"
                        onClick={this.handleMenu}
                        color="inherit"
                    >
                        {$('.isAuth')[0].textContent} <Icon>account_circle</Icon>
                    </IconButton>
                    <Menu
                        id="menu-appbar"
                        anchorEl={anchorEl}
                        anchorOrigin={{
                            vertical: 'top',
                            horizontal: 'right',
                        }}
                        transformOrigin={{
                            vertical: 'top',
                            horizontal: 'right',
                        }}
                        open={open}
                        onClose={this.handleClose}
                    >
                        <MenuItem onClick={()=>{window.location.href="/acc-info"}}>Мой аккаунт</MenuItem>
                        <MenuItem onClick={()=>{window.location.href="/logout"}}>Выход</MenuItem>
                    </Menu>
                </div>
            );

        return (
            <div className={classes.root}>
                <AppBar>
                    <Toolbar>
                        <IconButton className={classes.menuButton} onClick={this.handleDrawer(true)} color="inherit" aria-label="Menu">
                            <Icon>menu</Icon>
                        </IconButton>
                        <Drawer open={this.state.left} onClose={this.handleDrawer(false)}>
                            <div className={classes.list} style={{width: '16rem'}}>
                                <List subheader={<ListSubheader component="div">Ссылки</ListSubheader>}>
                                    {[
                                        {label: 'НИО-17', link: '#landing'},
                                        {label: 'Сайт кафедры', link: 'http://is.ulstu.ru'},
                                        {label: 'КИАС РФФИ', link: 'https://kias.rfbr.ru/'}
                                    ].map(item => (
                                        <ListItem button key={item.label} onClick={() => {window.location.href=item.link}}>
                                            <ListItemIcon><Icon>label_important</Icon></ListItemIcon>
                                            <ListItemText primary={item.label} />
                                        </ListItem>
                                    ))}
                                </List>
                            </div>
                        </Drawer>
                        <Typography variant="h6" color="inherit" className={classes.grow}>
                            NG-Tracker
                        </Typography>
                        {accountContent}
                    </Toolbar>
                </AppBar>
            </div>
        );
    }
}

Navbar.propTypes = {
    classes: PropTypes.object.isRequired,
};

ReactDOM.render(React.createElement(withStyles(styles)(Navbar), null, null), document.getElementById('react-navbar'));